function Buscoords = import_bus_coord(filename, dataLines)
%IMPORTFILE Import data from a text file
%  BUSCOORDS = IMPORTFILE(FILENAME) reads data from text file FILENAME
%  for the default selection.  Returns the numeric data.
%
%  BUSCOORDS = IMPORTFILE(FILE, DATALINES) reads data for the specified
%  row interval(s) of text file FILENAME. Specify DATALINES as a
%  positive scalar integer or a N-by-2 array of positive scalar integers
%  for dis-contiguous row intervals.
%
%  Example:
%  Buscoords = import_bus_coord("/home/lglroman/Dropbox/SATIE/PSCC2024/codes/opf/PSO/ELVTF/European_LV_CSV/Buscoords.csv", [3, Inf]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 28-Jul-2023 19:24:07

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [3, Inf];
end

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 3);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["BusCoordinates", "VarName2", "VarName3"];
opts.VariableTypes = ["double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Import the data
Buscoords = readtable(filename, opts);

%% Convert to output type
Buscoords = table2array(Buscoords);
end